package com.mints.goodmoney.mvp.presenters;

import com.mints.goodmoney.common.Constant;
import com.mints.goodmoney.manager.AppHttpManager;
import com.mints.goodmoney.mvp.model.BaseResponse;
import com.mints.library.net.neterror.BaseSubscriber;
import com.mints.library.net.neterror.Throwable;

import java.util.HashMap;

public class TrackPresenter extends BaseTrackPresenter {

    /**
     * 离线收益
     */
    public void offline() {
        AppHttpManager.getInstance(loanApplication)
                .call(loanService.offline(),
                        new BaseSubscriber<BaseResponse<Object>>() {
                            @Override
                            public void onCompleted() {
                            }

                            @Override
                            public void onError(Throwable e) {

                            }

                            @Override
                            public void onNext(BaseResponse<Object> baseResponse) {
                            }
                        });
    }

    /**
     * 广告事件
     * <p>
     * eventType-0 成功 1失败 2点击 3-有效展示
     */
    public void addCallImp(String adSource, String eventType, String errorcode, String errormsg) {
        HashMap<String, Object> vo = new HashMap<>();
        vo.put("adSource", adSource);
        vo.put("eventType", eventType);
        vo.put("errorCode", errorcode);
        vo.put("errorMsg", errormsg);

        AppHttpManager.getInstance(loanApplication)
                .call(loanService.addCallImp(vo),
                        new BaseSubscriber<BaseResponse<Object>>() {
                            @Override
                            public void onCompleted() {
                            }

                            @Override
                            public void onError(Throwable e) {

                            }

                            @Override
                            public void onNext(BaseResponse<Object> baseResponse) {
                            }
                        });
    }


    public void drawcashVideo() {
        AppHttpManager.getInstance(loanApplication)
                .call(loanService.drawcashVideo(),
                        new BaseSubscriber<BaseResponse<Object>>() {
                            @Override
                            public void onCompleted() {
                            }

                            @Override
                            public void onError(Throwable e) {

                            }

                            @Override
                            public void onNext(BaseResponse<Object> baseResponse) {
                            }
                        });
    }

    /**
     * 喜马拉雅听书时间
     */
    public void addCarrierTypeTime(int second) {
        HashMap<String, Object> vo = new HashMap<>();
        vo.put("time", second);
        vo.put("carrierType", Constant.CARRIER_XMLY_CHALLENGE);
        AppHttpManager.getInstance(loanApplication)
                .call(loanService.addCarrierTypeTime(vo),
                        new BaseSubscriber<BaseResponse<Object>>() {
                            @Override
                            public void onCompleted() {
                            }

                            @Override
                            public void onError(Throwable e) {

                            }

                            @Override
                            public void onNext(BaseResponse<Object> baseResponse) {
                            }
                        });
    }

    /**
     * 上报点击广告
     */
    public void reportClickAdEvent() {
        AppHttpManager.getInstance(loanApplication)
                .call(loanService.reportClickAdEvent(),
                        new BaseSubscriber<BaseResponse<Object>>() {
                            @Override
                            public void onCompleted() {
                            }

                            @Override
                            public void onError(Throwable e) {

                            }

                            @Override
                            public void onNext(BaseResponse<Object> baseResponse) {
                            }
                        });
    }

    /**
     * 每日任务是否刷新任务数
     */
    public void innerApp() {
        AppHttpManager.getInstance(loanApplication)
                .call(loanService.innerApp(),
                        new BaseSubscriber<BaseResponse<Object>>() {
                            @Override
                            public void onCompleted() {
                            }

                            @Override
                            public void onError(Throwable e) {

                            }

                            @Override
                            public void onNext(BaseResponse<Object> baseResponse) {
                            }
                        });
    }

}
