package com.mints.goodmoney.ui.adapter

import android.content.Context
import android.view.LayoutInflater
import android.view.View
import android.view.ViewGroup
import android.widget.ImageView
import android.widget.TextView
import androidx.recyclerview.widget.RecyclerView
import com.mints.goodmoney.R
import com.mints.goodmoney.mvp.model.Data
import com.mints.goodmoney.utils.ToolUtil
import com.mints.library.utils.GlideUtils
import com.shehuan.niv.NiceImageView
import com.ximalaya.ting.android.opensdk.model.album.Album

class KylPageAdapter(val kylPageList: MutableList<Data>) :
        RecyclerView.Adapter<KylPageAdapter.ViewHolder>() {

    lateinit var context: Context

    lateinit var mOnItemClickListener: OnItemClickListener

    inner class ViewHolder(view: View) : RecyclerView.ViewHolder(view) {
        val ivKylPage: NiceImageView = view.findViewById(R.id.ivKylPage)
        val tvKylPageContent: TextView = view.findViewById(R.id.tvKylPageContent)
    }

    override fun onCreateViewHolder(parent: ViewGroup, viewType: Int): ViewHolder {
        context = parent.context
        val view = LayoutInflater.from(context).inflate(R.layout.item_rv_kyl_page, parent, false)
        val viewHolder = ViewHolder(view)
        return viewHolder
    }

    override fun onBindViewHolder(holder: ViewHolder, position: Int) {
        val data = kylPageList[position]
        holder.tvKylPageContent.text = data.nm
        GlideUtils.loadImageView(holder.itemView.context, data.pvurl, holder.ivKylPage)

        holder.itemView.setOnClickListener {
            if (::mOnItemClickListener.isInitialized) {
                mOnItemClickListener.onItemClick(position)
            }
        }
    }

    override fun getItemCount() = kylPageList.size

    interface OnItemClickListener {
        fun onItemClick(position: Int)
    }

    fun setOnItemClickListener(listener: OnItemClickListener) {
        mOnItemClickListener = listener
    }
}