package com.mints.goodmoney.ui.fragment

import android.os.Bundle
import androidx.recyclerview.widget.GridLayoutManager
import com.mints.goodmoney.R
import com.mints.goodmoney.mvp.model.Data
import com.mints.goodmoney.mvp.model.KylVedioBean
import com.mints.goodmoney.mvp.presenters.KuYinYuePagePresenter
import com.mints.goodmoney.mvp.views.KuYinYuePageView
import com.mints.goodmoney.ui.activitys.KylVedioActivity
import com.mints.goodmoney.ui.activitys.XmlyPlayActivity
import com.mints.goodmoney.ui.adapter.KylPageAdapter
import com.mints.goodmoney.ui.fragment.base.LazyLoadBaseFragment
import com.scwang.smartrefresh.layout.api.RefreshLayout
import com.scwang.smartrefresh.layout.listener.OnLoadMoreListener
import com.scwang.smartrefresh.layout.listener.OnRefreshListener
import com.ximalaya.ting.android.opensdk.model.album.Album
import kotlinx.android.synthetic.main.fragment_main_kyl_page.*

/**
 * 描述：首页列表详情
 * 作者：孟崔广
 */
class KuYinYuePageFragment(private val targetid: String) : LazyLoadBaseFragment(),
        KuYinYuePageView,
        OnRefreshListener,
        OnLoadMoreListener,
        KylPageAdapter.OnItemClickListener {

    private val kuYinYuePagePresenter by lazy { KuYinYuePagePresenter() }

    private lateinit var kylPageAdapter: KylPageAdapter
    private var kylData: MutableList<Data> = mutableListOf()
    private var curPage = 1 // 分页
    private val PAGE_SIZE = 20

    override fun getContentViewLayoutID() = R.layout.fragment_main_kyl_page

    override fun initViewsAndEvents() {
    }

    override fun onFragmentFirstVisible() {
        super.onFragmentFirstVisible()
        kuYinYuePagePresenter.attachView(this)

        initRvView()
        initListener()

        kuYinYuePagePresenter.getXfPageMsg(targetid, curPage, PAGE_SIZE)
    }

    override fun onDestroy() {
        super.onDestroy()

        kuYinYuePagePresenter.detachView()
    }

    override fun onItemClick(position: Int) {
        if (kylData != null && kylData.size > 0) {
            val bundle = Bundle()
            bundle.putString(KylVedioActivity.VEDIO_URL, kylData[position].url)
            readyGo(KylVedioActivity::class.java, bundle)
        }
    }

    override fun onRefresh(refreshLayout: RefreshLayout) {
        curPage = 1
        kylData.clear()
        srl_kyl.resetNoMoreData()
        kuYinYuePagePresenter.getXfPageMsg(targetid, curPage, PAGE_SIZE)
    }

    override fun onLoadMore(refreshLayout: RefreshLayout) {
        curPage = ++curPage
        kuYinYuePagePresenter.getXfPageMsg(targetid, curPage, PAGE_SIZE)
    }

    override fun getXfPageMsgSuc(data: KylVedioBean) {
//        if (::kylPageAdapter.isInitialized) {
//            kylData.addAll(data.data)
//            if (curPage == 1) {
//                srl_kyl.finishRefresh(true)
//                kylPageAdapter.notifyDataSetChanged()
//            } else {
//                if (data.data.size < PAGE_SIZE) {
//                    srl_kyl.finishLoadMoreWithNoMoreData()
//                } else {
//                    srl_kyl.finishLoadMore()
//                }
//                kylPageAdapter.notifyItemChanged(data.data.size)
//            }
//        }
    }

    override fun getXfPageMsgFail() {
        srl_kyl.finishRefresh(false)
        srl_kyl.finishLoadMore(false)
        curPage = if (curPage == 1) 1 else curPage - 1
    }

    private fun initRvView() {
        val gridLayoutManager = GridLayoutManager(context, 2)
        rvPageKyl.layoutManager = gridLayoutManager
        kylPageAdapter = KylPageAdapter(kylData)
        rvPageKyl.adapter = kylPageAdapter
        kylPageAdapter.setOnItemClickListener(this)
    }

    private fun initListener() {
        srl_kyl.setOnRefreshListener(this)
        srl_kyl.setOnLoadMoreListener(this)
    }
}