package com.mints.goodmoney.ui.widgets;

import android.content.Context;
import android.util.AttributeSet;
import android.view.View;

import cn.jzvd.JZDataSource;
import cn.jzvd.JzvdStd;

public class JZVideoPlayerStandardLoopVideo extends JzvdStd {

    private JZVedioStatusListener jzVedioStatusListener;

    private boolean isVedioRestart = true;//true-重复播放视频

    public void setJzVedioStatusListener(JZVedioStatusListener jzVedioStatusListener) {
        this.jzVedioStatusListener = jzVedioStatusListener;
    }

    public JZVideoPlayerStandardLoopVideo(Context context) {
        super(context);
    }

    public JZVideoPlayerStandardLoopVideo(Context context, AttributeSet attrs) {
        super(context, attrs);
    }

    @Override
    public void onStatePlaying() {
        super.onStatePlaying();
        if (jzVedioStatusListener != null) {
            jzVedioStatusListener.jzVedioPlaying();
        }
    }

    @Override
    public void onAutoCompletion() {
        super.onAutoCompletion();
        try {
            if (isVedioRestart) {
                startVideo();
            }
        } catch (Exception e) {
            e.printStackTrace();
        }
    }

    public interface JZVedioStatusListener {
        void jzVedioPlaying();
    }

    @Override
    public void setUp(JZDataSource jzDataSource, int screen) {
        super.setUp(jzDataSource, screen);
        try {
            if (screen != SCREEN_NORMAL) {
                fullscreenButton.setVisibility(View.VISIBLE);
                progressBar.setVisibility(View.VISIBLE);
                currentTimeTextView.setVisibility(View.VISIBLE);
                totalTimeTextView.setVisibility(View.VISIBLE);
            } else {
                fullscreenButton.setVisibility(View.INVISIBLE);
                progressBar.setVisibility(View.INVISIBLE);
                currentTimeTextView.setVisibility(View.INVISIBLE);
                totalTimeTextView.setVisibility(View.INVISIBLE);
            }
        } catch (Exception e) {
            e.printStackTrace();
        }

    }

    /**
     * 设置视频是否重复播放 true-重复播放
     */
    public void setVedioRestart(boolean isVedioRestart) {
        this.isVedioRestart = isVedioRestart;
    }

//    public int getJZVedioState(){
//        return state;
//    }

}

